在DNN 5 RC 2中上传低版本皮肤出错的解决

  1. 云栖社区>
  2. 博客>
  3. 正文

在DNN 5 RC 2中上传低版本皮肤出错的解决

264971589117404837 2008-12-10 15:53:00 浏览309
展开阅读全文

在DNN 5中上传老版本的皮肤时,会报这个错误:

This package does not have a manifest. Old Skins and Containers do not contain manifests. If this is a legacy Skin or Container Package please check the check box below and reupload the package.

image

 

如果你按照提示选择Skin,点击“下一步”会出现这个提示:

A critical error has occurred.
Could not find a part of the path 'E:\Development\DotNetNuke\InstallArea\DotNetNuke_05.00.00_Install_RC2\Portals\_default\Temp\ejrsiiro\.dnn'.

 

image 

 

这是因为在DNN 5中,模块和皮肤都作为资源(resource)统一对待,所以和之前不同,皮肤包里面也要求包含一个以.dnn为后缀的定义文件(manifest),下图是DNN 5自带皮肤包中的.dnn文件。

image

具体可参考:Skinning Enhancements

对于之前的旧皮肤包,你解压缩皮肤包,按照MinimalExtropy.dnn的格式编写一个.dnn文件,比较重要的一点是把license.txt和releaseNote.txt这两个文件拷贝入你解压的皮肤目录再重新打包即可。

image

还有一点要注意的,DNN5不支持之前把skin和container打包到一起的zip皮肤格式了,现在你得把Skin和Container分开打包。

image

 

DNN 5 也提供了打包模块的向导程序,有兴趣的可以研究研究。

image

 

image

网友评论

登录后评论
0/500
评论
264971589117404837
+ 关注